Re: getting version header warning from HDF5 now...

Hi Ed,

There is another version of the library in your LD_LIBRARY_PATH path (1.7.46). Did you install 1.7.46 on your system?

Elena

At 06:27 AM 8/26/2005, Ed Hartnett wrote:
Howdy HDF5 Folk!

This morning I did a cvs update of hdf5 and not when I run a program
linked to HDF5 I get the following warning:

"Warning! The HDF5 header files included by this application do not match the
version used by the HDF5 library to which this application is linked. Data
corruption or segmentation faults may occur if the application is
allowed to continue.  You can, at your own risk, disable this check by setting
the environment variable 'HDF5_DISABLE_VERSION_CHECK' to a value of '1'.
Setting it to 2 will suppress the warning totally.
Headers are 1.7.51, library is 1.7.46"

Is this expected, or did I do something incorrect.

I'm pretty sure that my compiler is looking in the correct place for
the header files.

Where does this warning happen in the code?

Thanks!

Ed

--
Ed Hartnett  -- ed@xxxxxxxxxxxxxxxx

-----------------------------------------------------------------------------------------------
Elena Pourmal, HDF QA, Maintenance and Support Team Leader
NCSA University of Illinois at Urbana-Champaign
605 E. Springfield Ave.
Champaign, IL 61820

epourmal@xxxxxxxxxxxxx
(217)333-0238 (office)
(217)244-1987 (fax)
----------------------------------------------------------------------------------------------